[android-components](../../index.md) / [mozilla.components.feature.push](../index.md) / [ServiceType](./index.md)

# ServiceType

`enum class ServiceType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/push/src/main/java/mozilla/components/feature/push/AutoPushFeature.kt#L333)

Supported push services. These are currently limited to Firebase Cloud Messaging and Amazon Device Messaging.

### Enum Values

| Name | Summary |
|---|---|
| [FCM](-f-c-m.md) |  |
| [ADM](-a-d-m.md) |  |
